Bug 995141 - fence_ilo3 documentation request
fence_ilo3 documentation request
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-High_Availability_Add-On_Reference (Show other bugs)
7.0
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Steven J. Levine
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 12:03 EDT by michal novacek
Modified: 2017-07-25 17:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description michal novacek 2013-08-08 12:03:14 EDT
This is documentaiton request. 

I tried to find out how to configure fencing in a cluster using fence_ilo3 and
found out that it's not documented anywhere. 

This is not too straightforward and it would be nice to have it. The thing that
makes it difficult is that there needs to be three resources for three nodes.

I figured out the configuration for myself so I thought it would be worth putting
in Cluster administration guide as another example.

# pcs status
Cluster name: light
Last updated: Thu Aug  8 17:51:29 2013
Last change: Thu Aug  8 17:51:28 2013 via cibadmin on light-01
Stack: corosync
Current DC: light-01 (1) - partition with quorum
Version: 1.1.10-5.el7-9abe687
3 Nodes configured
3 Resources configured


Online: [ light-01 light-03 light-02 ]

Full list of resources:

 fencing-light01        (stonith:fence_ilo3):   Started light-01 
 fencing-light02   	(stonith:fence_ilo3):   Started light-02 
 fencing-light03        (stonith:fence_ilo3):	Started light-03 

For each node I created fencing as follows:

# pcs stonith create fencing-light03 fence_ilo3 params login="admin" \
 passwd="admin" action="reboot" ipaddr="light-03-ilo"
 pcmk_host_list="light-03" verbose=""

# pcs resource show fencing-light03
 Resource: fencing-light03 (class=stonith type=fence_ilo3)
  Attributes: login=admin passwd=admin action=reboot ipaddr=10.34.70.20 \
pcmk_host_list=light-03 verbose= 
  Operations: monitor interval=60s (fencing-light03-monitor-interval-60s)
Comment 2 Andrew Beekhof 2013-08-09 04:40:14 EDT
Re-assigning to the docs team, though they can't cover every permutation of every fencing device....
Comment 3 Jaroslav Kortus 2013-08-09 05:10:54 EDT
this was probably more meant for the pacemaker documentation at project page, from where it could be easily cut&pasted (more or less) by anyone looking for that info.

Sometimes it helps if you see it used in some config. Pacemaker docs are full of these helpful hints, so this would be also a nice addition. I'd also like to add fence_scsi examples as soon as we figure them out :)
Comment 4 Steven J. Levine 2014-05-15 16:32:30 EDT
This information -- and other small examples of pieces of different fence device configurations -- could be added to the fencing chapter of the reference manual, which at the moment is somewhat bare-bones. The plans are to expand that chapter, to provide more information about fencing concerns in general -- and adding some specifics like this would be great (the useful hints that Jaroslav notes).

Jaroslav has also pointed to some existing fencing documentation (for RHEL 6) on the customer portal, so this is an area where we need to coordinate the available information.

It's not likely there is time to do this by 7.0 GA, so I'm moving this to 7.1, but this should be part of the fencing documentation in the Reference manual.
Comment 5 Steven J. Levine 2014-09-24 11:29:59 EDT
Current plans are to document specific fence devices as separate portal articles and not in the product doc. I'm moving this to 7.2 because it is not release-specific.
Comment 6 Steven J. Levine 2015-05-05 16:30:36 EDT
This is really a sub-BZ of BZ#1175833, but I'm leaving it as a separate bug since we may simply use this particular device as an example. But in general the issue of documenting each specific fence device is not yet wholly settled.

Note You need to log in before you can comment on or make changes to this bug.